@use 'sass/color';
@use 'sass/size';
@use 'sass/mixin';

.mainContainer {
  @include mixin.page(row);
  display: flex;
  height: 100%;
  padding: 1%;
}

.leftContainer {
  /* display: flex;
  flex-direction: column;
  flex-grow: 1;
  padding-left: 1%;
  width: 60%; */
  flex: 1 0 500px;
  display: flex;
  flex-flow: column nowrap;
  gap: size.$gap;
  height: min-content;
}

.projectInformation {
  margin-bottom: 1em;
}

.userManagementCard {
  margin-bottom: 1em;
}

.rightContainer {
  /* display: flex;
  flex-direction: column;
  flex-grow: 1;
  width: 40%; */
  flex: 3 1 500px;
}

table {
  width: 100%;
}

.userTableFirstName {
  padding-right: 5px;
  width: 15%;
}

.projectIcon {
  text-align: center;
  justify-content: center;
}

.errors {
  color: color.$mat-warn;
  font-size: 10px;
  display: inline-flex;
}

.errors p {
  margin-left: 10px;
  margin-top: 5px;
}

.buttonInHeader {
  display: flex;
  align-items: center;
  justify-content: center;
  margin-left: 1%;
}

/* .userPermissionContainer {
  color: #bbb;
}
 */
.addUserBtn {
  margin-right: 1%;
}

.generalInformationForm {
  width: 100%;
}

.widthProjectDescr {
  min-width: 180px;
  width: 90%;
}
.widthProjectName {
  min-width: 180px;
}

.icon {
  transform: scale(1.5);
  color: white;
}

.projectName {
  flex-grow: 1;
  color: white;
}

.projectIcon {
  margin-right: 2%;
}

.generalInformation {
  display: flex;
  flex-direction: row;
  margin-bottom: 1em;
}

/*#duplicateProjectButton {
  padding-top: 20%;
}*/

#publishProjectButton,
#duplicateProjectButton {
  align-items: center;
  display: flex;
  flex-direction: row;
  vertical-align: middle;
  align-items: center;
  justify-content: center;
  padding-top: 5%;
  padding-bottom: 5%;
}

#duplicateProjectButton {
  background-color: color.$mat-light-blue;
  color: white;
}

#deleteProjectButton {
  align-items: center;
  display: flex;
  flex-direction: row;
  vertical-align: middle;
  align-items: center;
  justify-content: center;
  padding-top: 7.5%;
  padding-bottom: 7.5%;
}

#publishProjectButton mat-icon {
  flex-shrink: 0;
}
